查询工作流市场列表
curl --request GET \
--url https://www.chenyu.cn/api/open/v2/workflow/market/list \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.chenyu.cn/api/open/v2/workflow/market/list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.chenyu.cn/api/open/v2/workflow/market/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 123,
"msg": "<string>",
"data": {
"items": [
{
"workflow_id": "<string>",
"revision_id": "<string>",
"title": "<string>",
"description": "<string>",
"cover_url": "<string>",
"tags": [
{}
],
"owner": {},
"quote_currency": "<string>",
"quote_amount": "<string>",
"may_incur_external_model_cost": true,
"updated_at": "<string>"
}
],
"total": 123,
"page": 123,
"page_size": 123
}
}工作流市场
查询工作流市场列表
查询公开发布以及当前 API Key 所属用户自己的已发布工作流列表
GET
/
api
/
open
/
v2
/
workflow
/
market
/
list
查询工作流市场列表
查询工作流市场列表
获取工作流市场中公开发布的工作流,以及当前 API Key 所属用户自己的已发布工作流,支持关键字、标签和分页查询。认证方式: 在请求头中传入
Authorization: Bearer your_api_key。可见范围: 返回
visibility = public 的已发布工作流,以及当前 API Key 所属用户自己已发布的工作流。自己的非公开工作流也可以通过该接口查询到,便于后续读取详情并提交运行。请求参数
工作流标题关键字
标签名称,精确匹配单个标签
排序方式,默认
latest。当前支持 latest,popular 作为兼容值保留。页码,从
1 开始,默认 1每页数量,默认
20,最大 100响应参数
响应码,
0 表示成功响应信息
返回数据
Show data
Show data
工作流列表
Show items
Show items
工作流 ID
当前发布版本 ID
工作流标题
工作流介绍
工作流封面地址
工作流标签
发布者信息,包含
user_id 和 display_name报价币种,当前为
CNY预估报价金额。实际结算以运行完成后的实际消耗为准
是否可能产生第三方模型费用
更新时间
总记录数
当前页码
每页数量
代码示例
import requests
url = "https://www.chenyu.cn/api/open/v2/workflow/market/list"
headers = {
"Authorization": "Bearer your_api_key",
"Content-Type": "application/json"
}
params = {
"keyword": "文生图",
"page": 1,
"page_size": 20
}
response = requests.get(url, headers=headers, params=params)
print(response.json())
const axios = require('axios');
axios.get('https://www.chenyu.cn/api/open/v2/workflow/market/list', {
headers: {
Authorization: 'Bearer your_api_key',
'Content-Type': 'application/json'
},
params: {
keyword: '文生图',
page: 1,
page_size: 20
}
}).then((response) => {
console.log(response.data);
});
curl -X GET "https://www.chenyu.cn/api/open/v2/workflow/market/list?keyword=%E6%96%87%E7%94%9F%E5%9B%BE&page=1&page_size=20" \
-H "Authorization: Bearer your_api_key" \
-H "Content-Type: application/json"
响应示例
{
"code": 0,
"msg": "查询成功",
"data": {
"items": [
{
"workflow_id": "wf_861ef31e94dcfb10e6e7",
"revision_id": "wfr_f9f2a2dcb99d73b0c3aa",
"title": "文生图111",
"description": "文生图基础工作流",
"cover_url": "https://www.chenyu.cn/media/example-cover",
"tags": ["文生图", "E2E"],
"owner": {
"user_id": 10001,
"display_name": "rohon"
},
"quote_currency": "CNY",
"quote_amount": "0.03000000",
"may_incur_external_model_cost": false,
"updated_at": "2026-05-08T10:00:00Z"
}
],
"total": 1,
"page": 1,
"page_size": 20
}
}
⌘I